package com.ruoyi.index.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.index.mapper.IndexSMapper;
import com.ruoyi.index.domain.IndexS;
import com.ruoyi.index.service.IIndexSService;
import com.ruoyi.common.core.text.Convert;

/**
 * 基础指标Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
@Service
public class IndexSServiceImpl implements IIndexSService 
{
    @Autowired
    private IndexSMapper indexSMapper;

    /**
     * 查询基础指标
     * 
     * @param id 基础指标主键
     * @return 基础指标
     */
    @Override
    public IndexS selectIndexSById(Long id)
    {
        return indexSMapper.selectIndexSById(id);
    }

    /**
     * 查询基础指标列表
     * 
     * @param indexS 基础指标
     * @return 基础指标
     */
    @Override
    public List<IndexS> selectIndexSList(IndexS indexS)
    {
        return indexSMapper.selectIndexSList(indexS);
    }

    /**
     * 新增基础指标
     * 
     * @param indexS 基础指标
     * @return 结果
     */
    @Override
    public int insertIndexS(IndexS indexS)
    {
        indexS.setCreateTime(DateUtils.getNowDate());
        return indexSMapper.insertIndexS(indexS);
    }

    /**
     * 修改基础指标
     * 
     * @param indexS 基础指标
     * @return 结果
     */
    @Override
    public int updateIndexS(IndexS indexS)
    {
        indexS.setUpdateTime(DateUtils.getNowDate());
        return indexSMapper.updateIndexS(indexS);
    }

    /**
     * 批量删除基础指标
     * 
     * @param ids 需要删除的基础指标主键
     * @return 结果
     */
    @Override
    public int deleteIndexSByIds(String ids)
    {
        return indexSMapper.deleteIndexSByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除基础指标信息
     * 
     * @param id 基础指标主键
     * @return 结果
     */
    @Override
    public int deleteIndexSById(Long id)
    {
        return indexSMapper.deleteIndexSById(id);
    }

	@Override
	public IndexS selectIndexSByName(String name) {
		return indexSMapper.selectIndexSByName(name);
	}
}
